// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/transport-order-service.proto

package transport_order

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	model "gitlab.com/supply-net/shared/go-grpc/transport-order/model"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SearchTransportOrderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Grid   *common.Grid               `protobuf:"bytes,1,opt,name=grid,proto3" json:"grid,omitempty"`
	Search *model.SearchSpecification `protobuf:"bytes,2,opt,name=search,proto3" json:"search,omitempty"`
}

func (x *SearchTransportOrderRequest) Reset() {
	*x = SearchTransportOrderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_transport_order_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchTransportOrderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchTransportOrderRequest) ProtoMessage() {}

func (x *SearchTransportOrderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_transport_order_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchTransportOrderRequest.ProtoReflect.Descriptor instead.
func (*SearchTransportOrderRequest) Descriptor() ([]byte, []int) {
	return file_transport_order_transport_order_service_proto_rawDescGZIP(), []int{0}
}

func (x *SearchTransportOrderRequest) GetGrid() *common.Grid {
	if x != nil {
		return x.Grid
	}
	return nil
}

func (x *SearchTransportOrderRequest) GetSearch() *model.SearchSpecification {
	if x != nil {
		return x.Search
	}
	return nil
}

type SearchTransportOrderResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*model.TransportOrder `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *SearchTransportOrderResponse) Reset() {
	*x = SearchTransportOrderResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_transport_order_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchTransportOrderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchTransportOrderResponse) ProtoMessage() {}

func (x *SearchTransportOrderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_transport_order_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchTransportOrderResponse.ProtoReflect.Descriptor instead.
func (*SearchTransportOrderResponse) Descriptor() ([]byte, []int) {
	return file_transport_order_transport_order_service_proto_rawDescGZIP(), []int{1}
}

func (x *SearchTransportOrderResponse) GetData() []*model.TransportOrder {
	if x != nil {
		return x.Data
	}
	return nil
}

type SetTransportOrderStatusRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status     model.EnumStatus `protobuf:"varint,1,opt,name=status,proto3,enum=transportOrder.EnumStatus" json:"status,omitempty"`
	DateStatus int64            `protobuf:"varint,2,opt,name=dateStatus,proto3" json:"dateStatus,omitempty"`
	Id         []int64          `protobuf:"varint,3,rep,packed,name=id,proto3" json:"id,omitempty"`
}

func (x *SetTransportOrderStatusRequest) Reset() {
	*x = SetTransportOrderStatusRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_transport_order_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetTransportOrderStatusRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetTransportOrderStatusRequest) ProtoMessage() {}

func (x *SetTransportOrderStatusRequest) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_transport_order_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetTransportOrderStatusRequest.ProtoReflect.Descriptor instead.
func (*SetTransportOrderStatusRequest) Descriptor() ([]byte, []int) {
	return file_transport_order_transport_order_service_proto_rawDescGZIP(), []int{2}
}

func (x *SetTransportOrderStatusRequest) GetStatus() model.EnumStatus {
	if x != nil {
		return x.Status
	}
	return model.EnumStatus_TO_UNKNOWN
}

func (x *SetTransportOrderStatusRequest) GetDateStatus() int64 {
	if x != nil {
		return x.DateStatus
	}
	return 0
}

func (x *SetTransportOrderStatusRequest) GetId() []int64 {
	if x != nil {
		return x.Id
	}
	return nil
}

type SetTransportOrderStatusResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *SetTransportOrderStatusResponse) Reset() {
	*x = SetTransportOrderStatusResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_transport_order_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetTransportOrderStatusResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetTransportOrderStatusResponse) ProtoMessage() {}

func (x *SetTransportOrderStatusResponse) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_transport_order_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetTransportOrderStatusResponse.ProtoReflect.Descriptor instead.
func (*SetTransportOrderStatusResponse) Descriptor() ([]byte, []int) {
	return file_transport_order_transport_order_service_proto_rawDescGZIP(), []int{3}
}

type CompletedRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Cmr *model.Cmr `protobuf:"bytes,1,opt,name=cmr,proto3" json:"cmr,omitempty"`
}

func (x *CompletedRequest) Reset() {
	*x = CompletedRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_transport_order_service_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CompletedRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CompletedRequest) ProtoMessage() {}

func (x *CompletedRequest) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_transport_order_service_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CompletedRequest.ProtoReflect.Descriptor instead.
func (*CompletedRequest) Descriptor() ([]byte, []int) {
	return file_transport_order_transport_order_service_proto_rawDescGZIP(), []int{4}
}

func (x *CompletedRequest) GetCmr() *model.Cmr {
	if x != nil {
		return x.Cmr
	}
	return nil
}

type CompletedResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocId string `protobuf:"bytes,1,opt,name=docId,proto3" json:"docId,omitempty"`
}

func (x *CompletedResponse) Reset() {
	*x = CompletedResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_transport_order_service_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CompletedResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CompletedResponse) ProtoMessage() {}

func (x *CompletedResponse) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_transport_order_service_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CompletedResponse.ProtoReflect.Descriptor instead.
func (*CompletedResponse) Descriptor() ([]byte, []int) {
	return file_transport_order_transport_order_service_proto_rawDescGZIP(), []int{5}
}

func (x *CompletedResponse) GetDocId() string {
	if x != nil {
		return x.DocId
	}
	return ""
}

var File_transport_order_transport_order_service_proto protoreflect.FileDescriptor

var file_transport_order_transport_order_service_proto_rawDesc = []byte{
	0x0a, 0x2d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2d, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x1a,
	0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x67, 0x72,
	0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x30, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f,
	0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2d, 0x73, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x22, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65,
	0x6c, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2b,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f,
	0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x74, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x2f, 0x63, 0x6d, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x7c, 0x0a, 0x1b,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x20, 0x0a, 0x04, 0x67,
	0x72, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x47, 0x72, 0x69, 0x64, 0x52, 0x04, 0x67, 0x72, 0x69, 0x64, 0x12, 0x3b, 0x0a,
	0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53,
	0x65, 0x61, 0x72, 0x63, 0x68, 0x53, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x22, 0x52, 0x0a, 0x1c, 0x53, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x32, 0x0a, 0x04, 0x64, 0x61,
	0x74, 0x61, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x84,
	0x01, 0x0a, 0x1e, 0x53, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x32, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x1a, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x45, 0x6e, 0x75, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x1e, 0x0a, 0x0a, 0x64, 0x61, 0x74, 0x65, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x64, 0x61, 0x74, 0x65, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x03, 0x28,
	0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x21, 0x0a, 0x1f, 0x53, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x39, 0x0a, 0x10, 0x43, 0x6f, 0x6d, 0x70,
	0x6c, 0x65, 0x74, 0x65, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x25, 0x0a, 0x03,
	0x63, 0x6d, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x6d, 0x72, 0x52, 0x03,
	0x63, 0x6d, 0x72, 0x22, 0x29, 0x0a, 0x11, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x64,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x64, 0x6f, 0x63, 0x49,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x64, 0x6f, 0x63, 0x49, 0x64, 0x32, 0xf8,
	0x02, 0x0a, 0x15, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x3a, 0x0a, 0x07, 0x56, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x12, 0x16, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a, 0x06, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x12, 0x2b,
	0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x74, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c, 0x0a, 0x09, 0x53, 0x65, 0x74,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x2e, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x50, 0x0a, 0x09, 0x43, 0x6f, 0x6d, 0x70, 0x6c,
	0x65, 0x74, 0x65, 0x64, 0x12, 0x20, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x21, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65,
	0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0xaf, 0x01, 0x0a, 0x25, 0x63, 0x6f,
	0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x74, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x42, 0x15, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x01, 0x5a, 0x34, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d,
	0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72,
	0x70, 0x63, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x18, 0x53, 0x75, 0x70, 0x70, 0x6c,
	0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0xca, 0x02, 0x15, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_transport_order_transport_order_service_proto_rawDescOnce sync.Once
	file_transport_order_transport_order_service_proto_rawDescData = file_transport_order_transport_order_service_proto_rawDesc
)

func file_transport_order_transport_order_service_proto_rawDescGZIP() []byte {
	file_transport_order_transport_order_service_proto_rawDescOnce.Do(func() {
		file_transport_order_transport_order_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_transport_order_service_proto_rawDescData)
	})
	return file_transport_order_transport_order_service_proto_rawDescData
}

var file_transport_order_transport_order_service_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_transport_order_transport_order_service_proto_goTypes = []interface{}{
	(*SearchTransportOrderRequest)(nil),     // 0: transportOrder.SearchTransportOrderRequest
	(*SearchTransportOrderResponse)(nil),    // 1: transportOrder.SearchTransportOrderResponse
	(*SetTransportOrderStatusRequest)(nil),  // 2: transportOrder.SetTransportOrderStatusRequest
	(*SetTransportOrderStatusResponse)(nil), // 3: transportOrder.SetTransportOrderStatusResponse
	(*CompletedRequest)(nil),                // 4: transportOrder.CompletedRequest
	(*CompletedResponse)(nil),               // 5: transportOrder.CompletedResponse
	(*common.Grid)(nil),                     // 6: common.Grid
	(*model.SearchSpecification)(nil),       // 7: transportOrder.SearchSpecification
	(*model.TransportOrder)(nil),            // 8: transportOrder.TransportOrder
	(model.EnumStatus)(0),                   // 9: transportOrder.EnumStatus
	(*model.Cmr)(nil),                       // 10: transportOrder.Cmr
	(*common.VersionRequest)(nil),           // 11: common.VersionRequest
	(*common.VersionResponse)(nil),          // 12: common.VersionResponse
}
var file_transport_order_transport_order_service_proto_depIdxs = []int32{
	6,  // 0: transportOrder.SearchTransportOrderRequest.grid:type_name -> common.Grid
	7,  // 1: transportOrder.SearchTransportOrderRequest.search:type_name -> transportOrder.SearchSpecification
	8,  // 2: transportOrder.SearchTransportOrderResponse.data:type_name -> transportOrder.TransportOrder
	9,  // 3: transportOrder.SetTransportOrderStatusRequest.status:type_name -> transportOrder.EnumStatus
	10, // 4: transportOrder.CompletedRequest.cmr:type_name -> transportOrder.Cmr
	11, // 5: transportOrder.TransportOrderService.Version:input_type -> common.VersionRequest
	0,  // 6: transportOrder.TransportOrderService.Search:input_type -> transportOrder.SearchTransportOrderRequest
	2,  // 7: transportOrder.TransportOrderService.SetStatus:input_type -> transportOrder.SetTransportOrderStatusRequest
	4,  // 8: transportOrder.TransportOrderService.Completed:input_type -> transportOrder.CompletedRequest
	12, // 9: transportOrder.TransportOrderService.Version:output_type -> common.VersionResponse
	1,  // 10: transportOrder.TransportOrderService.Search:output_type -> transportOrder.SearchTransportOrderResponse
	3,  // 11: transportOrder.TransportOrderService.SetStatus:output_type -> transportOrder.SetTransportOrderStatusResponse
	5,  // 12: transportOrder.TransportOrderService.Completed:output_type -> transportOrder.CompletedResponse
	9,  // [9:13] is the sub-list for method output_type
	5,  // [5:9] is the sub-list for method input_type
	5,  // [5:5] is the sub-list for extension type_name
	5,  // [5:5] is the sub-list for extension extendee
	0,  // [0:5] is the sub-list for field type_name
}

func init() { file_transport_order_transport_order_service_proto_init() }
func file_transport_order_transport_order_service_proto_init() {
	if File_transport_order_transport_order_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_transport_order_transport_order_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchTransportOrderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_transport_order_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchTransportOrderResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_transport_order_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetTransportOrderStatusRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_transport_order_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetTransportOrderStatusResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_transport_order_service_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CompletedRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_transport_order_service_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CompletedResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_transport_order_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_transport_order_transport_order_service_proto_goTypes,
		DependencyIndexes: file_transport_order_transport_order_service_proto_depIdxs,
		MessageInfos:      file_transport_order_transport_order_service_proto_msgTypes,
	}.Build()
	File_transport_order_transport_order_service_proto = out.File
	file_transport_order_transport_order_service_proto_rawDesc = nil
	file_transport_order_transport_order_service_proto_goTypes = nil
	file_transport_order_transport_order_service_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// TransportOrderServiceClient is the client API for TransportOrderService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type TransportOrderServiceClient interface {
	Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error)
	Search(ctx context.Context, in *SearchTransportOrderRequest, opts ...grpc.CallOption) (*SearchTransportOrderResponse, error)
	SetStatus(ctx context.Context, in *SetTransportOrderStatusRequest, opts ...grpc.CallOption) (*SetTransportOrderStatusResponse, error)
	Completed(ctx context.Context, in *CompletedRequest, opts ...grpc.CallOption) (*CompletedResponse, error)
}

type transportOrderServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewTransportOrderServiceClient(cc grpc.ClientConnInterface) TransportOrderServiceClient {
	return &transportOrderServiceClient{cc}
}

func (c *transportOrderServiceClient) Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error) {
	out := new(common.VersionResponse)
	err := c.cc.Invoke(ctx, "/transportOrder.TransportOrderService/Version", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportOrderServiceClient) Search(ctx context.Context, in *SearchTransportOrderRequest, opts ...grpc.CallOption) (*SearchTransportOrderResponse, error) {
	out := new(SearchTransportOrderResponse)
	err := c.cc.Invoke(ctx, "/transportOrder.TransportOrderService/Search", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportOrderServiceClient) SetStatus(ctx context.Context, in *SetTransportOrderStatusRequest, opts ...grpc.CallOption) (*SetTransportOrderStatusResponse, error) {
	out := new(SetTransportOrderStatusResponse)
	err := c.cc.Invoke(ctx, "/transportOrder.TransportOrderService/SetStatus", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportOrderServiceClient) Completed(ctx context.Context, in *CompletedRequest, opts ...grpc.CallOption) (*CompletedResponse, error) {
	out := new(CompletedResponse)
	err := c.cc.Invoke(ctx, "/transportOrder.TransportOrderService/Completed", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// TransportOrderServiceServer is the server API for TransportOrderService service.
type TransportOrderServiceServer interface {
	Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error)
	Search(context.Context, *SearchTransportOrderRequest) (*SearchTransportOrderResponse, error)
	SetStatus(context.Context, *SetTransportOrderStatusRequest) (*SetTransportOrderStatusResponse, error)
	Completed(context.Context, *CompletedRequest) (*CompletedResponse, error)
}

// UnimplementedTransportOrderServiceServer can be embedded to have forward compatible implementations.
type UnimplementedTransportOrderServiceServer struct {
}

func (*UnimplementedTransportOrderServiceServer) Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Version not implemented")
}
func (*UnimplementedTransportOrderServiceServer) Search(context.Context, *SearchTransportOrderRequest) (*SearchTransportOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Search not implemented")
}
func (*UnimplementedTransportOrderServiceServer) SetStatus(context.Context, *SetTransportOrderStatusRequest) (*SetTransportOrderStatusResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetStatus not implemented")
}
func (*UnimplementedTransportOrderServiceServer) Completed(context.Context, *CompletedRequest) (*CompletedResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Completed not implemented")
}

func RegisterTransportOrderServiceServer(s *grpc.Server, srv TransportOrderServiceServer) {
	s.RegisterService(&_TransportOrderService_serviceDesc, srv)
}

func _TransportOrderService_Version_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.VersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportOrderServiceServer).Version(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/transportOrder.TransportOrderService/Version",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportOrderServiceServer).Version(ctx, req.(*common.VersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportOrderService_Search_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SearchTransportOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportOrderServiceServer).Search(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/transportOrder.TransportOrderService/Search",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportOrderServiceServer).Search(ctx, req.(*SearchTransportOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportOrderService_SetStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetTransportOrderStatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportOrderServiceServer).SetStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/transportOrder.TransportOrderService/SetStatus",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportOrderServiceServer).SetStatus(ctx, req.(*SetTransportOrderStatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportOrderService_Completed_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CompletedRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportOrderServiceServer).Completed(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/transportOrder.TransportOrderService/Completed",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportOrderServiceServer).Completed(ctx, req.(*CompletedRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _TransportOrderService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "transportOrder.TransportOrderService",
	HandlerType: (*TransportOrderServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Version",
			Handler:    _TransportOrderService_Version_Handler,
		},
		{
			MethodName: "Search",
			Handler:    _TransportOrderService_Search_Handler,
		},
		{
			MethodName: "SetStatus",
			Handler:    _TransportOrderService_SetStatus_Handler,
		},
		{
			MethodName: "Completed",
			Handler:    _TransportOrderService_Completed_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "transport-order/transport-order-service.proto",
}
